{% extends "layout.html" %}

{% block title %}
    {{ title }}
{% endblock %}

{% block body %}
    <div class="buttons">
        <a role="button" href="/registration_templates/create">Create registration template</a>
    </div>
    
    {% if registration_templates %}
        {% for template in registration_templates %}
            <div class="card" style="display: flex; gap: var(--mar3);">
                <div style="width: 200px;">
                    <img src="https://api.qrserver.com/v1/create-qr-code/?data={{ base_url }}/register/{{ template.secret }}&amp;size=200x200" alt="qr-code">
                </div>
                <div style="flex: 1;">
                    <h1>{{ template.group.name[3:] | capitalize }}</h1>
                    <div>
                        <p>Link: <b>{{ base_url }}/register/{{ template.secret }}</b></p>
                        <p>Expires: <b>{{ template.date }}</b></p>
                        <p>Home group: <b>{{template.group.name}}</b></p>
                        {% if template.group.study_coach %}
                        <p>Study coach: <b>{{template.group.study_coach.full_name}}</b></p>
                        {% endif %}
                    </div>
                    <div class="buttons">
                        <a role="button" href="/registration_templates/{{template.id}}/edit">Edit</a>
                        <a role="button" href="/registration_templates/{{template.id}}/delete">Delete</a>
                    </div>
                </div>
            </div>
        {% endfor %}
    {% else %}
        <p>No registration templates yet</p>
    {% endif %}

{% endblock %}